Bug 1236255 - Cannot compile basic C++ programs for arm-none-eabi target
Summary: Cannot compile basic C++ programs for arm-none-eabi target
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-gcc-cs
Version: 21
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-27 01:49 UTC by Rob Riggs
Modified: 2015-09-24 14:19 UTC (History)
1 user (show)

Fixed In Version: 5.2.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 05:13:39 UTC


Attachments (Terms of Use)

Description Rob Riggs 2015-06-27 01:49:14 UTC
Description of problem:
arm-none-eabi-gcc-cs-c++-4.9.2-3.fc21.x86_64 is missing C++ headers.

Version-Release number of selected component (if applicable):
4.9.2-3.fc21

How reproducible:
Always

Steps to Reproduce:
1. Create a program that does "#include <cmath>"
2. Compile program with arm-none-eabi-g++
3. There is no step 3

Actual results:
fatal error: cmath: No such file or directory
 #include <cmath>
                 ^
compilation terminated.


Expected results:
I expect the program to compile successfully, as it does with other arm compilers and earlier versions of this package.

Additional info:
At one point this package shipped with all of the required headers.  Evidence of that can be seen here: ftp://www.rpmfind.net/linux/RPM/fedora/21/x86_64/a/arm-none-eabi-gcc-cs-c++-2013.11.24-4.fc21.x86_64.html

Comment 1 Fedora Update System 2015-09-04 09:19:43 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc23 arm-none-eabi-newlib-2.2.0_1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15077

Comment 2 Fedora Update System 2015-09-04 23:18:41 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc21, arm-none-eabi-newlib-2.2.0_1-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update arm-none-eabi-gcc-cs arm-none-eabi-newlib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15075

Comment 3 Fedora Update System 2015-09-04 23:20:27 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc22, arm-none-eabi-newlib-2.2.0_1-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update arm-none-eabi-gcc-cs arm-none-eabi-newlib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15076

Comment 4 Fedora Update System 2015-09-04 23:22:26 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc23, arm-none-eabi-newlib-2.2.0_1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update arm-none-eabi-gcc-cs arm-none-eabi-newlib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15077

Comment 5 Fedora Update System 2015-09-24 05:13:33 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc23, arm-none-eabi-newlib-2.2.0_1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-09-24 08:26:07 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc22, arm-none-eabi-newlib-2.2.0_1-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-09-24 14:19:16 UTC
arm-none-eabi-gcc-cs-5.2.0-2.fc21, arm-none-eabi-newlib-2.2.0_1-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.